This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 868670 - No Interface Enumeration on snmp
No Interface Enumeration on snmp
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: net-snmp (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jan Safranek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-21 11:18 EDT by galen
Modified: 2013-05-21 03:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-21 03:15:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description galen 2012-10-21 11:18:22 EDT
Description of problem: Network Interfaces Can Not Be Enumerated


Version-Release number of selected component (if applicable): 5.7.1-4


How reproducible: Attempt to enumerate interfaces.  Every time it fails.


Steps to Reproduce:
1. With snmpcheck, target localhost and the network information is not populated. Attempting snmpget produces a nosuchname error.
2.
3.
  
Actual results: NoSuchName


Expected results: Network Interface Statistics


Additional info:
Comment 1 Jan Safranek 2012-10-22 04:21:35 EDT
(In reply to comment #0)
> 1. With snmpcheck, target localhost and the network information is not
> populated. Attempting snmpget produces a nosuchname error.


snmpcheck -t 127.0.0.1 shows all network interfaces to me of F17. In addition, "snmpwalk locahost ifTable" shows all interfaces.

Is your snmpd configured properly? Default /etc/snmp/snmpd.conf is quite strict and does not make interface information public. Try /etc/snmp/snmpd.conf with only one line:
  rocommunity public

(beware, this is very benevolent configuration, use for testing only).

If snmpcheck still does not work with the above configuration file and "snmpwalk -v2c -c public localhost ifTable" does not show anything useful, look at /var/log/messages and attach any snmpd lines to this bug.
Comment 2 Jan Safranek 2013-05-21 03:15:08 EDT
Closing the bug as the  reporter did not provide additional information.

Note You need to log in before you can comment on or make changes to this bug.